=== qml-credentials-service/CMakeLists.txt ===
# Qt5 bits
set (CMAKE_INCLUDE_CURRENT_DIR ON)
set (CMAKE_AUTOMOC ON)
find_package(Qt5Core REQUIRED)

file (GLOB CPP_SOURCES *.cpp)

configure_file (qmldir.template qmldir)

add_library (${QML_PLUGIN_NAME} MODULE ${CPP_SOURCES})
qt5_use_modules (${QML_PLUGIN_NAME} Core Widgets Quick Qml )
target_link_libraries (${QML_PLUGIN_NAME}
  -Wl,-rpath,${CMAKE_BINARY_DIR}/libubuntuoneauth
  -L${CMAKE_BINARY_DIR}/libubuntuoneauth
  ${AUTH_LIB_NAME}
)

install (FILES ${CMAKE_CURRENT_BINARY_DIR}/qmldir DESTINATION ${QML_MODULE_INSTALL_DIR}/${QML_MODULE_NAME} )

install (TARGETS ${QML_PLUGIN_NAME} 
  LIBRARY DESTINATION ${QML_MODULE_INSTALL_DIR}/${QML_MODULE_NAME}
  NAMELINK_SKIP
)

install (CODE "execute_process(COMMAND qmlplugindump ${QML_MODULE_NAME} ${QML_PLUGIN_API_VERSION} ${CMAKE_INSTALL_PREFIX}/${QML_MODULE_INSTALL_DIR} OUTPUT_FILE ${CMAKE_INSTALL_PREFIX}/${QML_MODULE_INSTALL_DIR}/${QML_MODULE_NAME}/${QML_MODULE_NAME}.qmltypes)")

add_custom_command(TARGET ${QML_PLUGIN_NAME} POST_BUILD
  COMMAND ${CMAKE_COMMAND} -E create_symlink ${CMAKE_CURRENT_BINARY_DIR} ${QML_MODULE_NAME})
