=== debian/changelog ===
ubuntuone-credentials (15.11+16.04.20160323) xenial; urgency=medium

  [ CI Train Bot ]
  * Resync trunk.

  [ Michael Zanetti ]
  * update to uitk 1.3 (LP: #1560621)

  [ Rodney Dawes ]
  * Disable tests on powerpc as something in xenial is causing a crash.

 -- Rodney Dawes <ci-train-bot@canonical.com>  Wed, 23 Mar 2016 19:31:42 +0000

ubuntuone-credentials (15.11+16.04.20151207.1) xenial; urgency=medium

  [ CI Train Bot ]
  * debian/libubuntuoneauth-2.0-0.symbols: update to released version.

  [ Rodney Dawes ]
  * Retrieve current timestamp from server to use in OAuth signatures.
    (LP: #1509118)

 -- Rodney Dawes <ci-train-bot@canonical.com>  Mon, 07 Dec 2015 21:38:01 +0000

ubuntuone-credentials (15.11+16.04.20151202) xenial; urgency=medium

  * Handle the new QtInfoMsg type when compiling against Qt >= 5.5. (LP:
    #1522063)

 -- Rodney Dawes <ci-train-bot@canonical.com>  Wed, 02 Dec 2015 19:29:55 +0000

ubuntuone-credentials (15.11+16.04.20151117.1) xenial; urgency=medium

  [ Rodney Dawes ]
  * Rename the QML module package to match newer naming scheme.

  [ CI Train Bot ]
  * No-change rebuild.

 -- Rodney Dawes <ci-train-bot@canonical.com>  Tue, 17 Nov 2015 21:34:44 +0000
