=== debian/control ===
Source: ubuntuone-credentials
Section: libs
Priority: optional
Build-Depends:
 cmake,
 debhelper (>= 9),
 dh-migrations,
 libaccounts-qt5-dev,
 liboauth-dev,
 libsignon-qt5-dev,
 pkg-config,
 qtbase5-dev,
 qtdeclarative5-dev,
 qtdeclarative5-dev-tools,
 qtdeclarative5-ubuntu-ui-toolkit-plugin,
 python3-all:native,
 signon-plugins-dev,
 ubuntu-ui-toolkit-autopilot:native,
 xvfb,
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Ubuntu One Developers <ubuntuone-users@lists.launchpad.net>
Standards-Version: 3.9.5
Vcs-Bzr: lp:ubuntuone-credentials
Xs-Testsuite: autopkgtest
X-Ubuntu-Use-Langpack: yes

Package: ubuntuone-credentials-common
Architecture: all
Multi-Arch: foreign
Pre-Depends:
 multiarch-support,
 ${misc:Pre-Depends},
Depends:
 ubuntuone-client-data (>= 4.2.0),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Ubuntu One authentication library - common data
 A library for native applications to log into the Ubuntu One services,
 to synchronize data, purchase music and software, or access data stored
 remotely on the Ubuntu One servers.
 .
 This package includes common data files for the Ubuntu One authentication
 library and utilities.

Package: ubuntuone-credentials-autopilot
Architecture: all
Depends:
 autopilot-qt5 (>= 1.4+14.10.20140820) | libautopilot-qt (>= 1.4),
 python3-autopilot,
 python3-fixtures,
 python3-testtools,
 qml-module-qtquick2,
 qml-module-qttest,
 qml-module-ubuntuone,
 qml-module-ubuntu-onlineaccounts,
 qtdeclarative5-ubuntu-ui-toolkit-plugin | qtdeclarative5-ubuntu-ui-toolkit-plugin-gles,
 qttestability-autopilot | libautopilot-qt,
 ubuntu-keyboard-autopilot,
 ubuntu-ui-toolkit-autopilot,
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Description: Ubuntu One authentication library - autopilot tests
 A library for native applications to log into the Ubuntu One services,
 to synchronize data, purchase music and software, or access data stored
 remotely on the Ubuntu One servers.
 .
 This package includes the autopilot tests.

Package: libubuntuoneauth-2.0-0
Architecture: any
Multi-Arch: same
Pre-Depends:
 multiarch-support,
 ${misc:Pre-Depends},
Depends:
 account-plugin-tools,
 signon-plugin-password,
 sqlite3,
 ubuntuone-credentials-common (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Ubuntu One authentication library
 A library for native applications to log into the Ubuntu One services,
 to synchronize data, purchase music and software, or access data stored
 remotely on the Ubuntu One servers.
 .
 This package includes the main library.

Package: libubuntuoneauth-2.0-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends:
 multiarch-support,
 ${misc:Pre-Depends},
Depends:
 libaccounts-qt5-dev,
 liboauth-dev,
 libsignon-qt5-dev,
 libubuntuoneauth-2.0-0 (= ${binary:Version}),
 qtbase5-dev | qtbase5-gles-dev,
 ${misc:Depends},
Description: Ubuntu One authentication library - development files
 A library for native applications to log into the Ubuntu One services,
 to synchronize data, purchase music and software, or access data stored
 remotely on the Ubuntu One servers.
 .
 This package includes the development files for the Ubuntu One authentication
 library.

Package: qml-module-ubuntuone
Architecture: any
Multi-Arch: same
Pre-Depends:
 multiarch-support,
 ${misc:Pre-Depends},
Depends:
 libubuntuoneauth-2.0-0 (= ${binary:Version}),
 qtdeclarative5-ubuntu-ui-toolkit-plugin,
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 qtdeclarative5-ubuntuone-credentials-plugin,
 qtdeclarative5-ubuntuone1.0,
Replaces:
 qtdeclarative5-ubuntuone-credentials-plugin,
 qtdeclarative5-ubuntuone1.0,
Description: Ubuntu One authentication library - QML Module
 A library for native applications to log into the Ubuntu One services,
 to synchronize data, purchase music and software, or access data stored
 remotely on the Ubuntu One servers.
 .
 This package includes a Qt declarative plug-in for using the library.

Package: signon-plugin-ubuntuone
Architecture: any
Multi-Arch: foreign
Pre-Depends:
 multiarch-support,
 ${misc:Pre-Depends},
Depends:
 libubuntuoneauth-2.0-0 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Ubuntu One authentication library - signon plug-in
 A library for native applications to log into the Ubuntu One services,
 to synchronize data, purchase music and software, or access data stored
 remotely on the Ubuntu One servers.
 .
 This package includes an authentication plug-in for the signon daemon.

Package: account-plugin-ubuntuone
Architecture: any
Multi-Arch: foreign
Pre-Depends:
 multiarch-support,
 ${misc:Pre-Depends},
Depends:
 libubuntuoneauth-2.0-0 (= ${binary:Version}),
 qml-module-ubuntuone (= ${binary:Version}),
 ubuntu-system-settings-online-accounts,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Ubuntu One authentication library - account settings plug-in
 A library for native applications to log into the Ubuntu One services,
 to synchronize data, purchase music and software, or access data stored
 remotely on the Ubuntu One servers.
 .
 This package includes the accounts plug-in for Ubuntu System Settings.
