=== debian/tests/control ===
Tests: run-tests
Restrictions: build-needed
