=== debian/changelog ===
ubuntuone-credentials (15.11+16.10.20160920) yakkety; urgency=medium

  [ Alberto Mardegan ]
  * Fix the loader to avoid blank page with Qt 5.6. (LP: #1620338)

  [ Rodney Dawes ]
  * Build-Depend on upstart to avoid s390x builds on yakkety.

 -- Rodney Dawes <rodney.dawes@canonical.com>  Tue, 20 Sep 2016 14:17:52 +0000

ubuntuone-credentials (15.11+16.10.20160805.2) yakkety; urgency=medium

  * Skip the timestamp tests for now due to autopkgtests flakiness.

 -- Rodney Dawes <rodney.dawes@canonical.com>  Fri, 05 Aug 2016 16:53:01 +0000

ubuntuone-credentials (15.11+16.10.20160608) yakkety; urgency=medium

  [ Rodney Dawes ]
  * Don't exit 1 on non-errors, and set -e to exit on normal errors.
    (LP: #1503190)
  * Remove the superfluous validateInput method.

  [ Timo Jyrinki ]
  * Stop depending on transitional packages. (LP: #1583079) Run wrap-
    and-sort -a -t -s on the packaging. (LP: #1583079)

 -- Rodney Dawes <rodney.dawes@canonical.com>  Wed, 08 Jun 2016 16:31:42 +0000

ubuntuone-credentials (15.11+16.04.20160427) xenial; urgency=medium

  [ Alberto Mardegan ]
  * Be more explicit about which headers are installed. Move the symbol
    export map to LINK_FLAGS on the target.
  * Complete the UbuntuOne authentication plugin
  * Make Token::isValid() return false on tokens created out of empty
    strings. (LP: #1572943)

 -- Rodney Dawes <ci-train-bot@canonical.com>  Wed, 27 Apr 2016 20:33:37 +0000
