=== debian/control ===
--- 
+++ 
@@ -6,16 +6,18 @@
  debhelper (>= 9),
  dh-migrations,
  libaccounts-qt5-dev,
+ libglib2.0-dev,
  liboauth-dev,
  libsignon-qt5-dev,
  pkg-config,
+ python3-all:native,
+ qml-module-ubuntu-components,
  qtbase5-dev,
  qtdeclarative5-dev,
  qtdeclarative5-dev-tools,
- qtdeclarative5-ubuntu-ui-toolkit-plugin,
- python3-all:native,
- signon-plugins-dev,
+ signon-plugins-dev (>= 8.58),
  ubuntu-ui-toolkit-autopilot:native,
+ upstart,
  xvfb,
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Ubuntu One Developers <ubuntuone-users@lists.launchpad.net>
@@ -51,9 +53,9 @@
  python3-testtools,
  qml-module-qtquick2,
  qml-module-qttest,
+ qml-module-ubuntu-components | qml-module-ubuntu-components-gles,
+ qml-module-ubuntu-onlineaccounts,
  qml-module-ubuntuone,
- qml-module-ubuntu-onlineaccounts,
- qtdeclarative5-ubuntu-ui-toolkit-plugin | qtdeclarative5-ubuntu-ui-toolkit-plugin-gles,
  qttestability-autopilot | libautopilot-qt,
  ubuntu-keyboard-autopilot,
  ubuntu-ui-toolkit-autopilot,
@@ -117,7 +119,7 @@
  ${misc:Pre-Depends},
 Depends:
  libubuntuoneauth-2.0-0 (= ${binary:Version}),
- qtdeclarative5-ubuntu-ui-toolkit-plugin,
+ qml-module-ubuntu-components,
  ${misc:Depends},
  ${shlibs:Depends},
 Breaks:
@@ -135,7 +137,7 @@
 
 Package: signon-plugin-ubuntuone
 Architecture: any
-Multi-Arch: foreign
+Multi-Arch: same
 Pre-Depends:
  multiarch-support,
  ${misc:Pre-Depends},
